[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParams.ParamValues

Named access to the parameter values.

## Declaration

Source position: db.pas line 1338

`public property TParams.ParamValues[ParamName: string] : Variant read GetParamValue write SetParamValue;`

## Description

ParamValues provides access to the parameter values (TParam.Value) by name. It is equivalent to reading and writing

    ParamByName(ParamName).Value

## See also

TParam.Value |  | Value as a variant
TParams.ParamByName |  | Return a parameter by name